Last Comment Bug 257859 - [AltSS] Re-insert Alternate Stylesheet UI
: [AltSS] Re-insert Alternate Stylesheet UI
Status: RESOLVED FIXED
[have patch]
: fixed-aviary1.0
Product: Firefox
Classification: Client Software
Component: General (show other bugs)
: 1.0 Branch
: All All
: -- normal with 48 votes (vote)
: ---
Assigned To: Blake Ross
:
Mentors:
http://forums.mozillazine.org/viewtop...
: 263153 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-02 18:28 PDT by Ben Basson
Modified: 2011-08-05 21:35 PDT (History)
38 users (show)
chofmann: blocking‑aviary1.0PR+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch to remove #ifdef SHOW_ALT_SS_UI (3.62 KB, patch)
2004-09-03 16:55 PDT, Ben Basson
dbaron: review+
Details | Diff | Splinter Review

Description Ben Basson 2004-09-02 18:28:49 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.2) Gecko/20040825 Firefox/0.9.1+
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.2) Gecko/20040825 Firefox/0.9.1+

From Bug 253722 Comment #1:

> see also bug 216537, bug 253332, bug 216424, bug 224250, bug 220649,
> bug 83663,
> and bug 220975.

Only enhancements to the Alternate Stylesheet functionality and UI remain now,
any chance we can have it back by default in Firefox? I know Blake's post is for
the purpose of debating, but I figure it needs a bug and votes to make any
difference now (since the post is rapidly degenerating).

Please don't wontfix this unless you intend to permanently remove the AltSS
functionality and/or UI.

Reproducible: Always
Steps to Reproduce:
Comment 1 Ben Basson 2004-09-02 18:31:45 PDT
Requesting to block 1.0 final, changing version to 1.0 Branch, CC'ing fantasai.
Comment 2 Ben Basson 2004-09-03 16:55:10 PDT
Created attachment 157846 [details] [diff] [review]
Patch to remove #ifdef SHOW_ALT_SS_UI

This patch would fix this bug by removing the #ifdef checks from browser.js,
browser.xul and browser-menubar.inc
Comment 3 Ben Basson 2004-09-03 16:58:26 PDT
Comment on attachment 157846 [details] [diff] [review]
Patch to remove #ifdef SHOW_ALT_SS_UI

Requesting review, not sure if SR is needed. Please change the SR flag if
necessary, Blake.
Comment 4 Peter van der Woude [:Peter6] 2004-09-04 13:10:29 PDT
Blake's on vacation
Comment 5 Ben Basson 2004-09-04 13:56:49 PDT
Comment on attachment 157846 [details] [diff] [review]
Patch to remove #ifdef SHOW_ALT_SS_UI

Reassigning review and super-review flags to Dbaron and Ben, who were
responsible for reviewing other related AltSS patches.
Comment 6 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2004-09-04 16:08:53 PDT
Comment on attachment 157846 [details] [diff] [review]
Patch to remove #ifdef SHOW_ALT_SS_UI

Clearing review request to me since this is a policy decision rather than a
code decision.
Comment 7 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2004-09-04 16:09:48 PDT
...and I'm not the one in charge of the policy in question.
Comment 8 Asa Dotzler [:asa] 2004-09-07 11:16:14 PDT
"Please don't wontfix this unless you intend to permanently remove the AltSS
functionality and/or UI."

The decision was made to pull this feature from the Firefox 1.0 branch. The
functionality and/or UI will remain on the trunk, though I expect the UI to
change before the next major Firefox release.
Comment 9 Brendan Eich [:brendan] 2004-09-09 11:10:01 PDT
We're going to revisit this today, based on fantasai et al.'s progress on the
bugs that caused altSS to be removed.

/be
Comment 10 Asa Dotzler [:asa] 2004-09-09 13:41:48 PDT
Reopening. Setting nomination flag for PR since we'll want to get this in before
PR if we add it back.
Comment 11 chris hofmann 2004-09-09 16:49:26 PDT
ok, we agreed to take this for PR.  dbaron will check in.
Comment 12 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2004-09-09 16:58:01 PDT
fixed, after discussion at aviary meeting and approval of brendan, ben, etc.
Comment 13 Peter van der Woude [:Peter6] 2004-10-06 05:22:03 PDT
*** Bug 263153 has been marked as a duplicate of this bug. ***
Comment 14 Matt 2004-10-28 03:31:00 PDT
it's been removed again!
Comment 15 Mano (::mano, needinfo? for any questions; not reading general bugmail) 2004-10-28 04:31:33 PDT
(In reply to comment #14)
> it's been removed again!

It's now in View->Page Style.
Comment 16 Steuard Jensen 2004-11-03 15:50:23 PST
(In reply to comment #15)
> > it's been removed again!
> 
> It's now in View->Page Style.

In particular, see bug 262065.  It sounds like they decided to make this less
visible until style selections can be made "sticky", which I can't blame them
for: the behavior isn't intuitive as it stands, and could frustrate new users.
Comment 17 Justin Wood (:Callek) (Away until Aug 29) 2004-11-03 23:33:16 PST
Bug 262065
>>Last modified: 2004-10-19 19:38 PDT
(and that wasnt even the patch being checked in it was a comment later on)

This bug, c#15
>>From Asaf Romano  2004-10-28 04:31 PDT  [reply] -------

Final answer, yes it has been hidden from the somewhat confusing and frustrating
statusbar UI, yes it has a reason, no it will not be fixed/changed for 1.0, yes
it will be back in future release, no we do not know which release yet.
Comment 18 Oliver 2004-11-05 09:29:03 PST
why not add a check box in Tools, "Options..." for changing this?
e.g. "display alternate stylesheet UI in taskbar"
Comment 19 amano 2004-12-01 00:59:12 PST
Now this has to be re-enabled since it was disabled by the aviary landing on the
branch. It is one the todo list in the "branch landing wiki"

http://wiki.mozilla.org/index.php/Firefox:Branch_Landing
Comment 20 Thomas K. (:tom) 2008-06-10 20:40:35 PDT
(In reply to comment #15)
> (In reply to comment #14)
> > it's been removed again!
> 
> It's now in View->Page Style.

Excuse me, I'm trying to track the history of this feature, do you know the bug num for the move to View->Page Style?

Note You need to log in before you can comment on or make changes to this bug.